1

I have the CK profile installed and found a strange behavior in Views installed along with it (no Term ID filter criterion available), so I decided to upgrade Views to the latest dev build. I deleted the Views folder from the profiles/commerce_kickstart/modules and now my admin won't work. The error messages vary over time, but they relate to include files missing, such as:

Fatal error: require_once() [function.require]: Failed opening required
 '//profiles/commerce_kickstart/modules/views/plugins/export_ui/views_ui.inc'
 (include_path='.:/:/usr/local/php/pear5') in /profiles/commerce_kickstart/modules
 /ctools/includes/plugins.inc on line 468

How do I resolve the situation? And, most importantly, how should I proceed next time to perform a safe update of individual modules from the profile.

1

I don't think there is really a "100% Safe" solution for upgrading your modules. But for the future, the best thing that you can probably do is:

  1. Make sure that you are using a version control system such as CVS, SVN, Git, etc. That way when you update and see that things go south you can always revert your changes.
  2. Always backup the database before running update.php. Again, if things don't work out, you always have a restore point.
  3. It is a good practice to read the release notes of the version that you are upgrading to and to take a peek at the issue queue of the module in question. Most likely another Drupal developer would have tried already to perform the same update that you are trying to perform, and there is an entry in the issue queue indicating what was the problem when updating. Sometimes if there's an entry in the issue queue it will also tell you how to upgrade from one version to another. Sometimes you can upgrade without no problems, sometimes you can't, and other times you have to follow a few manual steps before upgrading.

As for the present tense, since you already attempted the upgrade, I would start by following step #3 above, and if you can't locate a relevant entry in the Views issue queue that points you in the right direction, you're more than welcome to open one.

  • Well, first thank you for your reply. As per version control system - it's definitely my bad I'm not using any, I would have been on a safer side now. This lesson teaches me not to use any profile, as individual module updates are problematic then. As for a good practice, I think it'd be a good practice if all module authors actually provided release notes. Usually the release notes link takes me to a generic page that says nothing about the precautions. I've already opened a case in the issue, but in the Commerce queue, since this was their package that failed. – Artur Dec 15 '11 at 20:52
  • @Artur With regards to profiles, there are some high-end profiles out there such as the one provided by Acquia (which currently I am using in D7). One can only assume that they are very careful when pushing new profile updates, and that when they do, they provide the appropriate release notes and support. As for the blank release notes, you might find the release notes for the production release basically blank. However if you go to the release notes of the DEV version, there should always be able to find some information there. – amateur barista Dec 15 '11 at 22:53
  • And if all else fails, you can always check the changes coming down from the pipe by diffing the newest version on the repository against your local machine before upgrading. In some mission-critical production sites with lots of custom code that relies on contrib modules, manually checking code updates is not even an option. – amateur barista Dec 15 '11 at 22:55
  • Since the module in question is views. They always have descriptive release notes. The problem is that you are upgrading to a dev version and dev versions don't have release notes because they are not a release. Also, for your description this is not the fault of commerce kickstart. You said you upgraded views to latest dev manually. If the upgrade failed it is a views issue, not a CK issue. - Wow, I just realised how old this is :) – rooby Apr 21 '13 at 11:12
0

If you deleted views from /profiles/commerce_kickstart/modules and did not restore the new version to that same folder, then you will need to clear your site's cache in order for Drupal to find the module in the new location. Most likely, if you are experiencing WSOD from this error, you will need to use Drush (drupal.org/project/drush) to clear the cache.

Also, it should be noted that some installation profiles, such as Commerce Kickstart, may depend on specific versions of the prerequisite modules in order to function correctly. Thus, when using an installation profile, it is best practice to only upgrade as new versions of the installation profile are released.

  • Thanks sheena_d and others, now I understand the logic behind it, it's just difficult to act calmly when you see WSOD. – Artur Dec 16 '11 at 14:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.